<template>
  <a-card
    :bordered="false"
    class="card-area"
  >
    <a-table
      ref="table"
      bordered
      size="middle"
      rowKey="id"
      :columns="columns"
      :dataSource="dataSource"
      :pagination="ipagination"
      :loading="loading"
      @change="handleTableChange"
    >
    </a-table>
  </a-card>
</template>

<script>
import { requestPut } from '@/api/manage'
import { JeecgListMixin } from '@/mixins/JeecgListMixin'

export default {
  name: 'InStoreDetailList',
  mixins: [JeecgListMixin],
  components: {},
  data() {
    return {
      url: {
        list: '/tms/inStoreDetail/list',
      },
      queryParam: {},
      nodeType: 0,
      dataSource: [],
      disableMixinCreated:true,
      columns: [
        {
          title: '工具编码',
          align: 'center',
          dataIndex: 'toolCode',
        },
        {
          title: '工具编号',
          align: 'center',
          dataIndex: 'onlyCode',
        },
        {
          title: '工具名称',
          dataIndex: 'chineseName',
          align: 'center',
          key: 'toolName'
        },
        {
          title: '型号/图号',
          dataIndex: 'toolModel',
          align: 'center',
        },
        {
          title: '入库单编号',
          dataIndex: 'inboundNum',
          align: 'center',
        },
        {
          title: '入库类型',
          dataIndex: 'inStorehouseTypeName',
          align: 'center',
        },
        {
          title: '入库方式',
          dataIndex: 'operateType',
          align: 'center',
        },
        {
          title: '经手人',
          dataIndex: 'handler',
          align: 'center',
        },
        {
          title: '库位号',
          dataIndex: 'locationCode',
          align: 'center',
        },
        {
          title: '入库数量',
          dataIndex: 'inNumber',
          align: 'center',
        },
      ],
      para:{},
    }
  },

  methods: {
   
  },
  mounted() {
    this.$bus.$on('getToolLedgerData', (data) => {
      this.queryParam.toolCode = data.toolCode;
      this.searchQuery();
    })
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>